using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using Syncfusion.Windows.Forms.Chart;
using Syncfusion.Web.UI.WebControls.Chart;

public partial class _Default : System.Web.UI.Page 
{
  ChartWebControl ChartWebControl1 = new ChartWebControl();

  protected void Page_Load(object sender, EventArgs e)
  {
    ChartWebControl1.OutputFormat = Syncfusion.Web.UI.ImageProviderOutputFormat.Handler;
    ChartWebControl1.LegendPosition = ChartDock.Top;
    PlaceHolder1.Controls.Add(ChartWebControl1);


    InitializeChartData();
  }

  private void InitializeChartData()
    {
        ChartSeries series1 = ChartWebControl1.Model.NewSeries("Series 1");
        series1.Points.Add(0, 500);
        series1.Points.Add(2, 340);
        series1.Points.Add(2, 340);
        series1.Points.Add(2, 340);

        series1.Style.Font.Bold = true;

        series1.Type = ChartSeriesType.StackingColumn;
        series1.Text = series1.Name;
        ChartWebControl1.Series.Add(series1);

        ChartSeries series2 = ChartWebControl1.Model.NewSeries("Series 2");
        series2.Points.Add(0, 500);
        series2.Points.Add(2, 340);
        series2.Points.Add(2, 340);
        series2.Points.Add(2, 340);

        series2.Style.Font.Bold = true;

        series2.Type = ChartSeriesType.Line;
        series2.Style.Border.DashStyle = System.Drawing.Drawing2D.DashStyle.Dash;
        series2.Text = series2.Name;
        ChartWebControl1.Series.Add(series2);
    }
}
